Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.font
Class KerningTable

    java.lang.Object
      org.apache.batik.gvt.font.KerningTable

    public class KerningTable

extends Object

The KerningTable class holds a kerning table (a collection of Kern elements). It provides a more convenient method of looking up kerning values when laying out glyphs.

Constructor Summary
`KerningTable(Kern[] entries)` Creates a KerningTable from an array of Kern entries.

Method Summary
`float` | `getKerningValue(int glyphCode1, int glyphCode2, String glyphUnicode1, String glyphUnicode2)` Returns the amount of kerning that should be added between the given glyphs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KerningTable

    public KerningTable(Kern[] entries)

  Creates a KerningTable from an array of Kern entries.

  Parameters:
    `entries` - The array of Kern objects that represent the kerning entries for the font that this kerning table belongs to.

Method Detail

### getKerningValue

    public float getKerningValue(int glyphCode1,
                                 int glyphCode2,
                                 String glyphUnicode1,
                                 String glyphUnicode2)

  Returns the amount of kerning that should be added between the given glyphs. Returns 0 if the glyphs should not be kerned.

  Parameters:
    `glyphCode1` - The id of the first glyph in the kerning pair
    `glyphCode2` - The id of the second glyph in the kerning pair
    `glyphUnicode1` - The unicode value of the first glyph in the kerning pair
    `glyphUnicode2` - The unicode vlaue of the second glyph in the kerning pair
  Returns:
    The amount of kerning to be added when laying out the glyphs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.